Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 91714 - Update Use Entity Manager action
Update Use Entity Manager action
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: Persistence
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Erno Mononen
issues@javaee
: API
Depends on:
Blocks: 91757
  Show dependency treegraph
 
Reported: 2007-01-03 09:25 UTC by Jan Stola
Modified: 2007-04-17 17:32 UTC (History)
3 users (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Stola 2007-01-03 09:25:55 UTC
Use Entity Manager action generates field for EntityManagerFactory
and generates a sample method showing how to use the factory. It doesn't
generate a new field if the class already contains a field for 
EntityManagerFactory - that's good, but it generates a field for a factory
even if the class already contains a field for the EntityManager itself
(which is common in J2SE application). Please, don't generate a field
for a factory in that case and make sure that the generated sample method
uses the existing entity manager.
Comment 1 Erno Mononen 2007-03-29 14:59:17 UTC
I've update the action in the merged_model branch to use an existing 
EntityManager if there is one. I'll leave this issue open till the 
branch has been merged to trunk. 
Comment 2 Erno Mononen 2007-04-17 17:32:28 UTC
Closing as the branch has been merged to trunk now.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo